org.apache.poi.sl.draw.binding

## Class CTGeomRect

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTGeomRect

-     public class CTGeomRect
      extends java.lang.Object

  Java class for CT_GeomRect complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_GeomRect">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="l" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="t" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="r" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
             <attribute name="b" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_AdjCoordinate" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `b`
    `protected java.lang.String` | `l`
    `protected java.lang.String` | `r`
    `protected java.lang.String` | `t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTGeomRect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getB()` Gets the value of the b property.
    `java.lang.String` | `getL()` Gets the value of the l property.
    `java.lang.String` | `getR()` Gets the value of the r property.
    `java.lang.String` | `getT()` Gets the value of the t property.
    `boolean` | `isSetB()`
    `boolean` | `isSetL()`
    `boolean` | `isSetR()`
    `boolean` | `isSetT()`
    `void` | `setB(java.lang.String value)` Sets the value of the b property.
    `void` | `setL(java.lang.String value)` Sets the value of the l property.
    `void` | `setR(java.lang.String value)` Sets the value of the r property.
    `void` | `setT(java.lang.String value)` Sets the value of the t property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### l

          protected java.lang.String l

    - #### t

          protected java.lang.String t

    - #### r

          protected java.lang.String r

    - #### b

          protected java.lang.String b

  - ### Constructor Detail

    - #### CTGeomRect

          public CTGeomRect()

  - ### Method Detail

    - #### getL

          public java.lang.String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(java.lang.String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetL

          public boolean isSetL()

    - #### getT

          public java.lang.String getT()

      Gets the value of the t property.
      Returns:
        possible object is `String`

    - #### setT

          public void setT(java.lang.String value)

      Sets the value of the t property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetT

          public boolean isSetT()

    - #### getR

          public java.lang.String getR()

      Gets the value of the r property.
      Returns:
        possible object is `String`

    - #### setR

          public void setR(java.lang.String value)

      Sets the value of the r property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetR

          public boolean isSetR()

    - #### getB

          public java.lang.String getB()

      Gets the value of the b property.
      Returns:
        possible object is `String`

    - #### setB

          public void setB(java.lang.String value)

      Sets the value of the b property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetB

          public boolean isSetB()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.